Results 1 to 8 of 8

Thread: Upgrading to Gnome 3.8 breaks it all

  1. #1
    Join Date
    Jul 2012
    Beans
    17

    Unhappy Upgrading to Gnome 3.8 breaks it all

    Hi, good to be back here after a while.

    Facing a problem with Ubuntu 13.04 X64. Installed Gnome shell and created two accounts, on one Unity is default, on another gnome is default DE. Everything was working well with gnome 3.6, but after hearing that gnome for Ubuntu 13.04 can be upgraded to 3.8, did that.

    Now, Unity DE is broken, and is acting illogically (like hangs, wallpaper /bar disappears etc. to name a few!). I installed gnome 3.8 from gnome 3 stable ppa.
    What to do now? Should I revert back to 3.6 (don't know how to do that, if possible at all without uninstalling! [-o

  2. #2
    Join Date
    Oct 2012
    Beans
    874

    Re: Upgrading to Gnome 3.8 breaks it all

    I have only tried it once, apparently the gnome3 ppa is not meant to work with Unity.

    You can revert back to gnome 3.6 by purging the ppa
    First install ppa-purge if you haven't already
    Code:
    sudo apt-get install ppa-purge
    then run it
    Code:
    sudo ppa-purge ppa:gnome3-team/gnome3
    I assume that you installed gnome-3.8 from the above ppa, if not, change it to whatever ppa you use.

  3. #3
    Join Date
    Jun 2006
    Location
    Brisbane Australia
    Beans
    713

    Re: Upgrading to Gnome 3.8 breaks it all

    You did a "sudo apt-get update and sudo apt-get dist-upgrade" after adding the gnome3 ppa didn't you? (as the instructions say). I used to have a problem with the Unity background when using the gnome 3 ppa but I noticed that has been fixed very recently. Make sure you are running Nautilus to "manage the desktop" of course as Unity requires that (set it via gnome-tweak-tool).

  4. #4
    Join Date
    Jul 2012
    Beans
    17

    Question Re: Upgrading to Gnome 3.8 breaks it all

    Quote Originally Posted by markbl View Post
    I used to have a problem with the Unity background when using the gnome 3 ppa but I noticed that has been fixed very recently.
    Well according to source, gnome 3.8 is far better (I can see why) but it shouldn't be installed before Ubuntu 13.04 (Canonical) fully supports it. They say, it's buggy too, though I found only one or two bugs that I had reported to launchpad. Gnome always has some bugs , what's the big deal?

    What do you (and all others) suggest about staying with gnome 3.8 (for freshness and features) or downgrade to 3.6+ (for support and stability)?
    I wish I could use fedora gnome spin! It uses newer version of gnome!

    Quote Originally Posted by markbl View Post
    Make sure you are running Nautilus to "manage the desktop" of course as Unity requires that (set it via gnome-tweak-tool).
    What was that??

  5. #5
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    5,936
    Distro
    Ubuntu Development Release

    Re: Upgrading to Gnome 3.8 breaks it all

    Did you follow these instructions? There are warnings there. Also instructions for removing.

    http://www.omgubuntu.co.uk/2013/04/g...r-ubuntu-gnome

    Regards.
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  6. #6
    Join Date
    Oct 2012
    Beans
    874

    Re: Upgrading to Gnome 3.8 breaks it all

    Quote Originally Posted by leosubhadeep View Post

    I wish I could use fedora gnome spin! It uses newer version of gnome!
    What is stopping you?

  7. #7
    Join Date
    Jul 2012
    Beans
    17

    Re: Upgrading to Gnome 3.8 breaks it all

    Quote Originally Posted by grahammechanical View Post
    Did you follow these instructions? There are warnings there. Also instructions for removing.
    Yes I did. But didn't get seamless gnome+unity integration as it was with gnome 3.6. While trying to downgrade, I was getting "broken package" error. I followed the available commands/hacks but in vain.
    One more thing I forgot to mention.. I had cairo dock installed on both my unity and gnome desktop. can this be anything? Should I remove them and retry?

    What is stopping you?
    The same reason you are wasting your time in here and throwing stupid jokes instead of being helpful!

  8. #8
    Join Date
    Jul 2012
    Beans
    17

    Re: Upgrading to Gnome 3.8 breaks it all

    It's latest: the USC or Ubuntu Software Center is not opening at all from unity DE; and it's crashing from gnome 3.8 DE! Is there a fix for this?

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •